Loading...
Searching...
No Matches
cmdline::detail Namespace Reference

## Classes

class | lexical_cast_t
class | lexical_cast_t< Target, Source, true >
class | lexical_cast_t< std::string, Source, false >
class | lexical_cast_t< Target, std::string, false >
struct | is_same
struct | is_same< T, T >

## Functions

void | throw_bad_cast ()
template<typename Target, typename Source>
Target | lexical_cast (const Source &arg)
template<class T>
std::string | readable_typename ()
template<class T>
std::string | default_value (const T &def)
template<>
std::string | readable_typename< std::string > ()
template<>
std::string | readable_typename< bool > ()
template<>
std::string | readable_typename< int > ()

## Function Documentation

## throw_bad_cast()

void cmdline::detail::throw_bad_cast | ( |  | ) |

inline

Definition at line 67 of file cmdline.h.

Referenced by cmdline::detail::lexical_cast_t< Target, Source, Same >::cast(), and cmdline::detail::lexical_cast_t< Target, std::string, false >::cast().

## lexical_cast()

template<typename Target, typename Source>

Target cmdline::detail::lexical_cast | ( | const Source & | arg | ) |

Definition at line 129 of file cmdline.h.

Referenced by default_value(), and cmdline::default_reader< T >::operator()().

## readable_typename()

template<class T>

std::string cmdline::detail::readable_typename | ( |  | ) |

Definition at line 155 of file cmdline.h.

## default_value()

template<class T>

std::string cmdline::detail::default_value | ( | const T & | def | ) |

Definition at line 164 of file cmdline.h.

References lexical_cast().

## readable_typename< std::string >()

template<>

std::string cmdline::detail::readable_typename< std::string > | ( |  | ) |

inline

Definition at line 169 of file cmdline.h.

## readable_typename< bool >()

template<>

std::string cmdline::detail::readable_typename< bool > | ( |  | ) |

inline

Definition at line 175 of file cmdline.h.

## readable_typename< int >()

template<>

std::string cmdline::detail::readable_typename< int > | ( |  | ) |

inline

Definition at line 180 of file cmdline.h.